package com.lovecoding.day23.relect;

public class Test02 {



    public static void main(String[] args) throws ClassNotFoundException {
        //四种方式
        Class<Emp> empClass = Emp.class;

        Emp emp = new Emp();
        Class<? extends Emp> aClass = emp.getClass();

        Class<?> aClass1 = Class.forName("com.lovecoding.day23.relect.Emp");

        Class<?> aClass2 = ClassLoader.getSystemClassLoader().loadClass("com.lovecoding.day23.relect.Emp");

        System.out.println(aClass2);

    }
}
